Create URL API with Match scores
Introduction
Our Create URL API allows you to generate a unique URL that takes your end customer directly to the Digilocker iframe for secure authorization. Once there, They can easily connect their Digilocker account, giving you streamlined access to their digital documents. After your end customer completes the authorization, your request ID will be activated and can be used to access other APIs like Get Details, Get Files, Pull Documents, and Get e-Aadhaar.
API details
Endpoint
POST https://api.signzy.app/api/v3/digilocker-v2/create-url-with-matcherPOST https://api-preproduction.signzy.app/api/v3/digilocker-v2/create-url-with-matcherRequest headers
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameter
Parameter | Data Type | Description | Required |
|---|---|---|---|
signup | Boolean | Indicates if the signup process is enabled or not. “true” if signup is enabled. | Optional |
callbackUrl | String | Callback URL to which match scores will be posted | Mandatory |
name | String | Name of the individual | Optional |
dob | String | Date of birth of the individual in dd/mm/yyyy format | Optional |
selfieImage | String | Selfie Image of individual | Optional |
pincode | Number | pincode of the individual | Optional |
successRedirectUrl | String | URL to which the user will be redirected upon successful authorization. | Optional |
successRedirectTime | Integer | Time (in seconds) after which the user will be redirected post-authorization. By default, it is 10 seconds. | Optional |
failureRedirectUrl | String | URL to which the user will be redirected if not authorized. | Optional |
failureRedirectTime | Integer | Time (in seconds) after which the user will be redirected if not authorized. By default, it is 10 seconds. | Optional |
logoVisible | String | Indicates if a logo is to be displayed or not. "true" if you want the logo to be displayed during transition to redirect URL. | Optional |
logo | String | URL of the logo to be displayed if logoVisible is "true". | Optional |
purpose | String | Defines the purpose for which the end customer is giving consent. The possible input values are: "kyc" "verification" "compliance" "availing_services" "educational". | Optional |
getScope | Boolean | "true" if you want to check what access has been given by your end customers else "false". If set as "true" then the scope information will be pushed on the callback URL. | Optional |
docType | Array of strings | Documents that you want to take consent from the end customer. By default, the value of this field would be ["PANCR", "ADHAR", "DRVLC"]. Only the doctypes mentioned here will be visible to the customer on the consent page. For example, if you want to show only Aadhaar, keep only "ADHAR". | Optional |
internalId | String | ID to track your callback. | Optional |
pinlessAuthentication | Boolean | Use this argument to enable a seamless, PIN-free login experience in the Digilocker mobile flow, available exclusively through the Wayne domain. | Optional |
{
"signup": true,
"callbackUrl": "https://signtest123.requestcatcher.com/",
"name": "John Doe",
"dob": "01/01/2001",
"pincode": 221212,
"selfieImage": "https://<selfie-image>.jpeg/",
"successRedirectUrl": "https://www.signzy.com/",
"successRedirectTime": "5",
"failureRedirectUrl": "https://www.signzy.com/",
"failureRedirectTime": "5",
"logoVisible": "true",
"logo": "https://rise.barclays/content/dam/thinkrise-com/images/rise-stories/Signzy-16_9.full.high_quality.jpg",
"purpose": "kyc",
"getScope": true,
"internalId":"<Internal ID>"
}Code samples
curl --location 'https://api-preproduction.signzy.app/api/v3/digilocker-v2/create-url-with-matcher' \
--header 'Authorization: <Your access token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"signup": true,
"callbackUrl": "https://<callbackURL>.com/",
"name": "John Doe",
"dob": "01/01/2001",
"pincode": 221212,
"selfieImage": "https://<selfie-image>.jpeg/"
"successRedirectUrl": "https://www.signzy.com/",
"successRedirectTime": "5",
"failureRedirectUrl": "https://www.signzy.com/",
"failureRedirectTime": "5",
"logoVisible": "true",
"logo": "",
"purpose": "kyc",
"getScope": true,
"internalId":"<Internal ID>"
}'Response body parameters
Parameter | Data Type | Description |
|---|---|---|
result | Object | Contains the result of the task being performed. |
result.url | String | The URL to complete the authentication. |
result.requestId | String | Unique ID allocated after the authorization in digilocker iframe. |
{
"result": {
"url": "https://api.digitallocker.gov.in/public/oauth2/1/authorize?client_id=3DF9D55E&code_challenge=2R4H2pVG-SmhvTDn0xQlLcPWqAvp15XUufUBbQ0Sd2I&code_challenge_method=S256&dl_flow=signup&redirect_uri=https%3A%2F%2Fdigilocker.signzy.tech%2Fdigilocker-auth-complete&response_type=code&state=652d08105aac750011ff8a71",
"requestId": "652d08105aac750011ff8a71"
}
}Callback body parameters
Parameter | Data Type | Description |
|---|---|---|
event | String | Contains the result of the task performed. |
requestId | String | Unique ID of the request. |
message | String | Message about the action from End user |
status | String | Status of the request |
timestamp | Integer | Time |
internalId | String | Internal ID |
nameMatchScore | String | Name match score between Input name and that fetched from Digilocker |
dobMatch | String | DoB match score between Input name and that fetched from Digilocker |
faceMatchScore | String | face match score between Input selfieimage and that fetched from Digilocker |
pincodeMatch | Number | pincode match between Input pincode and that fetched from Digilocker |
Note: Once the consent is given successfully, the below response will be received in the callback URL provided in the request packet.
Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!